TagXml (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.tomcat.util.descriptor.tld

## Class TagXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TagXml

-     public class TagXml
      extends java.lang.Object

  Model of a tag define in a tag library descriptor. This represents the information as parsed from the XML but differs from TagInfo in that is does not provide a link back to the tag library that defined it.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TagXml()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<TagAttributeInfo>` | `getAttributes()` |
    `java.lang.String` | `getBodyContent()` |
    `java.lang.String` | `getDisplayName()` |
    `java.lang.String` | `getInfo()` |
    `java.lang.String` | `getLargeIcon()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getSmallIcon()` |
    `java.lang.String` | `getTagClass()` |
    `java.lang.String` | `getTeiClass()` |
    `java.util.List<TagVariableInfo>` | `getVariables()` |
    `boolean` | `hasDynamicAttributes()` |
    `void` | `setBodyContent​(java.lang.String bodyContent)` |
    `void` | `setDisplayName​(java.lang.String displayName)` |
    `void` | `setDynamicAttributes​(boolean dynamicAttributes)` |
    `void` | `setInfo​(java.lang.String info)` |
    `void` | `setLargeIcon​(java.lang.String largeIcon)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSmallIcon​(java.lang.String smallIcon)` |
    `void` | `setTagClass​(java.lang.String tagClass)` |
    `void` | `setTeiClass​(java.lang.String teiClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagXml

          public TagXml()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getTagClass

          public java.lang.String getTagClass()

    - #### setTagClass

          public void setTagClass​(java.lang.String tagClass)

    - #### getTeiClass

          public java.lang.String getTeiClass()

    - #### setTeiClass

          public void setTeiClass​(java.lang.String teiClass)

    - #### getBodyContent

          public java.lang.String getBodyContent()

    - #### setBodyContent

          public void setBodyContent​(java.lang.String bodyContent)

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### setDisplayName

          public void setDisplayName​(java.lang.String displayName)

    - #### getSmallIcon

          public java.lang.String getSmallIcon()

    - #### setSmallIcon

          public void setSmallIcon​(java.lang.String smallIcon)

    - #### getLargeIcon

          public java.lang.String getLargeIcon()

    - #### setLargeIcon

          public void setLargeIcon​(java.lang.String largeIcon)

    - #### getInfo

          public java.lang.String getInfo()

    - #### setInfo

          public void setInfo​(java.lang.String info)

    - #### hasDynamicAttributes

          public boolean hasDynamicAttributes()

    - #### setDynamicAttributes

          public void setDynamicAttributes​(boolean dynamicAttributes)

    - #### getAttributes

          public java.util.List<TagAttributeInfo> getAttributes()

    - #### getVariables

          public java.util.List<TagVariableInfo> getVariables()